System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Question about package dependency

cheesytime
Regular Advisor

Question about package dependency

Hi there,

I'm trying to install the Bastile depot on one of my old boxes and I get the following:

======= 06/24/09 09:50:46 SAT BEGIN swinstall SESSION
(non-interactive) (jobid=box-0204)

* Session started for user "root@box".

* Beginning Selection
* Target connection succeeded for "box:/".
NOTE: The software "Bastille" was successfully marked, but it
depends on the following software items which could not be
found in the source. However, these items may already be in
the target. This will be checked during the Analysis Phase:
Perl5.PERL-RUN,r>=D.5.8.0.D | Perl5-64.PERL-RUN,r>=D.5.8.0.D |
Perl5-32.PERL-RUN,r>=D.5.8.0.D
* Source:
/home/john/HPUXBastille_B.3.0.31_HP-UX_B.11.23_32_64.depot
* Targets: box:/
* Software selections:
+ HPUXBastille,r=B.3.0.31,a=HP-UX_B.11.23_32/64,v=HP
Bastille.BASTILLE,r=B.3.0.31,a=HP-UX_B.11.11_32/64,v=HP,fr=B.3.0.31,fa=HP-UX_B.11.11_32/64
* A "+" indicates an automatic selection due to dependency or
the automatic selection of a patch or reference bundle.
* Selection succeeded.


* Beginning Analysis and Execution
* Session selections have been saved in the file
"/.sw/sessions/swinstall.last".
ERROR: "box:/": The software dependencies for 1 products or
filesets cannot be resolved.
* "box:/": 1 bundles cannot be installed because none of
their filesets can be installed.
* The analysis phase failed for "box:/".
* Analysis and Execution had errors.


ERROR: More information may be found in the agent logfile using the
command "swjob -a log box-0204 @ box:/".

======= 06/24/09 09:50:50 SAT END swinstall SESSION (non-interactive)
(jobid=box-0204)


However, I can see perl is installed:

root@box /home/john >swlist -l product | egrep perl
PHKL_26104 1.0 VX_FREEZE timeout does not work properly
perl 5.10.0 perl

I ran swverify -F /* just to see if that would fix anything but did not, apparently the other administrator swremoved the original perl that came with the box and swinstalled a new depot that he just downloaded for our developers.

Please, help with this will be strongly appreciated.

second question, just not to open another thread, when I run bash I get

/usr/lib/dld.sl: Unresolved symbol: pthread_create (code) from /usr/local/lib/libintl.sl
Abort(coredump)

what could be missing/wrong

Thanks a lot
4 REPLIES
Steven E. Protter
Exalted Contributor

Re: Question about package dependency

Shalom,

Bastille requires a package called PERL5. Search for that on http://software.hp.com

It won't work with the variations of perl that ship with the Os. I don't know why.

http://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=PERL

You also should not be running any of this stuff with bash.

root user is needed, in xwindows mode, posix shell. That is how it was tested.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Ganesan R
Honored Contributor

Re: Question about package dependency

Hi,

Error indicates that it depends on perl rev 5.8. But not sure 5.10 could satisfy that.

Could you install 5.8 and then try to install bastille?
Best wishes,

Ganesh.
cheesytime
Regular Advisor

Re: Question about package dependency

OK, installing that perl from HP fixed it, thanks a lot.

What about

/usr/local/bin/bash
/usr/lib/dld.sl: Unresolved symbol: pthread_create (code) from /usr/local/lib/libintl.sl
Abort(coredump)

What could be causing such core?
Dennis Handly
Acclaimed Contributor

Re: Question about package dependency

>What about
dld.sl: Unresolved symbol: pthread_create

This indicates that you haven't patched libc recently. Newer patches have pthread_* stubs.
The recommended 11.11 patch is: PHCO_35743